> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Payout Link APIs

> List of RazorpayX Payout Links API available to perform various actions.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

You can use our APIs to perform various actions required to make payouts. You can perform most of these actions from the [RazorpayX Dashboard](https://x.razorpay.com/auth) as well.

## List of APIs

The table below lists the various APIs and gives a brief description of each API:

| API Endpoint                                                                                     | Description                                                                                                                                    |
| ------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| [Create Payout Links Using Contact Details](/docs/api/x/payout-links/create/use-contact-details) | Creates a Payout Link using customer's contact details like email id/mobile number.                                                            |
| [Create Payout Links Using Contact ID](/docs/api/x/payout-links/create/use-contact-id)           | Creates a Payout Link using the Contact id of the customer. [Create a Contact](/docs/x/contacts#list-of-endpoints) to generate the Contact id. |
| [Fetch All Payout Links](/docs/api/x/payout-links/fetch-all)                                     | Retrieves the details of all Payout Links created. Use the query parameters to customise Payout Links retrieval.                               |
| [Fetch a Payout Link with ID](/docs/api/x/payout-links/fetch-with-id)                            | Retrieves the details of a particular Payout Link.                                                                                             |
| [Cancel a Payout Link](/docs/api/x/payout-links/cancel)                                          | API to cancel an active Payout Link.                                                                                                           |

<Warning>
  **Watch Out!**

  Allowlisting your IP is mandatory for using the Payout Link APIs. Know how to [allowlist your IP](/docs/x/dashboard/allowlist-ip).
</Warning>

### Related Information

* [About Payouts](/docs/x/payouts)
* [About Payout Links](/docs/x/payout-links)
* [Subscribe to Webhooks](/docs/x/apis/subscribe)
